Name:		go7007
Version:	0.9.8
Release:	2%{?dist}
Summary:	Kernel module for wis-go7007 devices

Group:		System Environment/Base
License:	GPL
URL:		http://oss.wischip.com/
Source0:	http://oss.wischip.com/wis-go7007-linux-%{version}.tar.bz2
Patch0:		http://bart.ulyssis.org/go7007-update.patch
Patch1:         go7007-no_kmod.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	go7007-devel = %{version}-%{release}
Provides:	go7007-kmod-common = %{version}
Requires:       go7007-kmod >= %{version}


BuildRequires:	fxload
Requires:	fxload

%description
This package contains the wis-go7007 driver, a linux device driver for usb
video encoder and streammer


%prep
%setup -q -n wis-go7007-linux-%{version}
%patch0 -p1
%patch1 -p1 -b .no_kmod

%build
make %{?_smp_mflags}
make %{?_smp_mflags} -C apps CFLAGS="$RPM_OPT_FLAGS -I../include"

%install
rm -rf $RPM_BUILD_ROOT

cat > go7007.modprobe << EOF
# kwizart go7007 modprobe
options go7007 
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 go7007.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/go7007

mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -D -p -m 0644 include/*.h $RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT/lib/firmware/ezusb
install -m 0644 firmware/*.bin $RPM_BUILD_ROOT/lib/firmware
install -m 0644 firmware/ezusb/*.hex $RPM_BUILD_ROOT/lib/firmware/ezusb

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 udev/wis-ezusb.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 apps/gorecord $RPM_BUILD_ROOT%{_bindir}
install -m 0755 apps/modet $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING README README.saa7134 RELEASE-NOTES
%config(noreplace) %{_sysconfdir}/modprobe.d/go7007
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%{_bindir}/gorecord
%{_bindir}/modet
%{_includedir}/go7007.h
/lib/firmware/*

%changelog
* Fri Dec 15 2006 kwizart < kwizart at gmail.com > - 0.9.8-2
- Fix directory ownership

* Fri Dec 15 2006 kwizart < kwizart at gmail.com > - 0.9.8-1.kwizart.fc6
- Initial release.
